# User groups

`GET /workspaces/:workspace/groups`

Returns all groups in the workspace

**Required Scopes:** `WORKSPACE`

## URL Parameters

```typescript
interface URLParameters {
  /** The human-readable ID of the workspace */
  workspace: string; // Example: "my-company"
}
```

## Response Body

```typescript
interface ResponseBody {
  /** API endpoint to GET this object */
  url?: string;
  /** Web URL to view this object in Buddy.works */
  html_url?: string;
  groups?: ShortGroupView[];
}
```

## Type Definitions

```typescript
interface ShortGroupView {
  /** API endpoint to GET this object */
  url?: string;
  /** Web URL to view this object in Buddy.works */
  html_url?: string;
  /** The ID of the group */
  id?: number;
  /** The name of the group */
  name?: string;
  /** The description of the group */
  description?: string;
}

```

## Response Example

**Status:** `200 OK`

```json
{
  "url": "https://api.buddy.works/workspaces/my-workspace/groups",
  "html_url": "https://app.buddy.works/my-workspace/groups",
  "groups": [
    {
      "url": "https://api.buddy.works/workspaces/my-workspace/groups/123",
      "html_url": "https://app.buddy.works/my-workspace/-/group/123",
      "id": 123,
      "name": "developers",
      "description": "Development team members"
    },
    {
      "url": "https://api.buddy.works/workspaces/my-workspace/groups/124",
      "html_url": "https://app.buddy.works/my-workspace/-/group/124",
      "id": 124,
      "name": "designers",
      "description": "UI/UX design team"
    }
  ]
}
```

---
Original source: https://buddy.works/docs/api/platform/groups/list/user-groups